Bug 1568833 - [RFE] Support to use Ceph RadosGW for the OCP registry [NEEDINFO]
Summary: [RFE] Support to use Ceph RadosGW for the OCP registry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.11.z
Assignee: Tzu-Mainn Chen
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks: 1695515 1614642
TreeView+ depends on / blocked
 
Reported: 2018-04-18 10:07 UTC by Ramon Acedo
Modified: 2019-05-10 01:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1695515 (view as bug list)
Environment:
Last Closed: 2019-01-10 09:03:57 UTC
Target Upstream Version:
hripps: needinfo? (bbennett)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-ansible pull 8622 None None None 2018-07-17 12:57:48 UTC
Red Hat Product Errata RHBA-2019:0024 None None None 2019-01-10 09:04:04 UTC

Description Ramon Acedo 2018-04-18 10:07:24 UTC
Add support to openshift-ansible to configure the registry backed by Ceph RadosGW available in an Overcloud deployment.

Comment 1 Tzu-Mainn Chen 2018-06-04 14:58:31 UTC
Testing shows that this works 'out-of-the-box'. Added some documentation in openshift-ansible: https://github.com/openshift/openshift-ansible/pull/8622

Comment 3 Scott Dodson 2018-08-14 21:24:35 UTC
Should be in openshift-ansible-3.11.0-0.15.0

Comment 4 N. Harrison Ripps 2018-09-21 20:14:28 UTC
Per OCP program call on 21-SEP-2018 we are deferring Kuryr-related bugs to 3.11.z

Comment 5 Ramon Acedo 2018-10-08 09:42:07 UTC
This feature in the openshift-ansible installer has been present for a while but untested downstream until comment #1 (June 2018). It's not related to Kuryr either and it should work with 3.10 (probably with earlier releases?).

Comment 6 N. Harrison Ripps 2018-11-12 15:58:11 UTC
Adding Ben Bennett to follow up with you.

Comment 8 weiwei jiang 2019-01-04 09:11:30 UTC
Checked with openshift-ansible-3.11.59-1 and Ceph RadosGW works well.


openshift_use_swift_registry: True
openshift_hosted_registry_storage_kind: object
openshift_hosted_registry_storage_provider: swift
openshift_hosted_registry_storage_swift_container: "openshift-registry"
openshift_hosted_registry_storage_swift_authurl: "http://10.73.131.153:7480/auth/v1"
openshift_hosted_registry_storage_swift_username: "openshift:swift"
openshift_hosted_registry_storage_swift_password: "xxxxxxxx"
openshift_hosted_registry_storage_swift_region: "{{ lookup('env', 'OS_REGION_NAME') }}" 
openshift_hosted_registry_storage_swift_tenant: "{{ lookup('env','OS_PROJECT_NAME') }}"

Comment 9 weiwei jiang 2019-01-04 09:13:54 UTC
=========== registry-config ===============
version: 0.1                                                                                                                                                                                                       
log:                                                                                                                                                                                                               
  level: info                                                                                                                                                                                                      
http:                                                                                                                                                                                                              
  addr: :5000                                                                                                                                                                                                      
storage:                                                                                                                                                                                                           
  delete:                                                                                                                                                                                                          
    enabled: true                                                                                                                                                                                                  
  cache:                                                                                                                                                                                                           
    blobdescriptor: inmemory                                                                                                                                                                                       
  swift:                                                                                                                                                                                                           
    authurl: http://10.73.131.153:7480/auth/v1                                                                                                                                                                     
    username: openshift:swift                                                                                                                                                                                      
    password: Q7KiuZiQWcy9QFvIA3yVpqD32aRipTbl5IZRxSNf                                                                                                                                                             
    container: openshift-registry                                                                                                                                                                                  
    region: regionOne                                                                                                                                                                                              
    tenant: openshift-qe-jenkins                                                                                                                                                                                   
auth:                                                                                                                                                                                                              
  openshift:                                                                                                                                                                                                       
    realm: openshift
middleware:
  registry:
  - name: openshift
  repository:
  - name: openshift
    options:
      pullthrough: True
      acceptschema2: True
      enforcequota: False
  storage:
  - name: openshift

============= build log ====================
$ oc logs ruby-ex-1-build
Using centos/ruby-25-centos7@sha256:3222ca6f052f3b3f8095b159d01dc4a73fdc307073e9445b283d391d3b39dad1 as the s2i builder image
---> Installing application source ...
---> Building your Ruby application from source ...
---> Running 'bundle install --retry 2 --deployment --without development:test' ...
Warning: the running version of Bundler (1.16.1) is older than the version that created the lockfile (1.16.4). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.
Fetching gem metadata from https://rubygems.org/..............
Using bundler 1.16.1
Fetching puma 3.12.0
Installing puma 3.12.0 with native extensions
Fetching rack 2.0.6
Installing rack 2.0.6
Bundle complete! 2 Gemfile dependencies, 3 gems now installed.
Gems in the groups development and test were not installed.
Bundled gems are installed into `./bundle`
---> Cleaning up unused ruby gems ...
Running `bundle clean --verbose` with bundler 1.16.1
Warning: the running version of Bundler (1.16.1) is older than the version that created the lockfile (1.16.4). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.
Frozen, using resolution from the lockfile

Pushing image docker-registry.default.svc:5000/default/ruby-ex:latest ...
Pushed 0/10 layers, 1% complete
Pushed 1/10 layers, 50% complete
Pushed 2/10 layers, 50% complete
Pushed 3/10 layers, 50% complete
Pushed 4/10 layers, 56% complete
Pushed 5/10 layers, 62% complete
Pushed 6/10 layers, 67% complete
Pushed 7/10 layers, 74% complete
Pushed 8/10 layers, 90% complete
Pushed 8/10 layers, 94% complete
Pushed 8/10 layers, 98% complete
Pushed 9/10 layers, 100% complete
Pushed 10/10 layers, 100% complete
Push successful

Comment 11 errata-xmlrpc 2019-01-10 09:03:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0024


Note You need to log in before you can comment on or make changes to this bug.